ActiveMQPollingEndpointWorker (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQPollingEndpointWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQPollingEndpointWorker

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQBaseEndpointWorker
          org.codehaus.activemq.ra.ActiveMQPollingEndpointWorker

All Implemented Interfaces:
  Runnable, Work

public class ActiveMQPollingEndpointWorker
extends ActiveMQBaseEndpointWorker
implements Work

Version:
  $Revision: 1.5 $ $Date: 2004/08/01 02:21:15 $

Nested Class Summary
`static class` | `ActiveMQPollingEndpointWorker.InboundEndpointWork`

Field Summary
`(package private) static WorkListener` | `debugingWorkListener`

Fields inherited from class org.codehaus.activemq.ra.ActiveMQBaseEndpointWorker
`adapter, endpointActivationKey, endpointFactory, ON_MESSAGE_METHOD, transacted, workManager`

Constructor Summary
`ActiveMQPollingEndpointWorker(ActiveMQResourceAdapter adapter, ActiveMQEndpointActivationKey key)`

Method Summary
`void` | `release()`
`void` | `run()` The WorkManager has started up and we now need to pull message off the destination and push them to an endpoint.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.codehaus.activemq.ra.ActiveMQBaseEndpointWorker
`safeClose, safeClose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugingWorkListener

    static WorkListener debugingWorkListener

Constructor Detail

### ActiveMQPollingEndpointWorker

    public ActiveMQPollingEndpointWorker(ActiveMQResourceAdapter adapter,
                                         ActiveMQEndpointActivationKey key)
                                  throws ResourceException

Parameters:
  `adapter` -
  `key` -
Throws:
  `ResourceException`

Method Detail

### start

    public void start()
               throws WorkException,
                      ResourceException

  Specified by:
    `start` in class `ActiveMQBaseEndpointWorker`
  Throws:
    `WorkException`
    `ResourceException`

### stop

    public void stop()
              throws InterruptedException

  Specified by:
    `stop` in class `ActiveMQBaseEndpointWorker`
  Throws:
    `InterruptedException`

### release

    public void release()

  Specified by:
    `release` in interface `Work`
  See Also:
    `Work.release()`

### run

    public void run()

  The WorkManager has started up and we now need to pull message off the destination and push them to an endpoint.

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Runnable.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.